org.apache.fop.layoutmgr.inline

## Interface InlineLevelEventProducer

-     public interface InlineLevelEventProducer

  Event producer interface for inline-level layout managers.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `InlineLevelEventProducer.Provider` Provider class for the event producer.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `inlineContainerAutoIPDNotSupported(java.lang.Object source, float fallback)` Auto IPD on inline-container is not supported.
    `void` | `leaderWithoutContent(java.lang.Object source, org.xml.sax.Locator loc)` fo:leader with "use-content" but without children.
    `void` | `lineOverflows(java.lang.Object source, java.lang.String elementName, int line, int overflowLength, org.xml.sax.Locator loc)` A line overflows.

- - ### Method Detail

    - #### leaderWithoutContent

          void leaderWithoutContent(java.lang.Object source,
                                  org.xml.sax.Locator loc)

      fo:leader with "use-content" but without children.
      Parameters:
        `source` - the event source
        `loc` - the location of the error or null
      Event severity level:
        ERROR

    - #### lineOverflows

          void lineOverflows(java.lang.Object source,
                           java.lang.String elementName,
                           int line,
                           int overflowLength,
                           org.xml.sax.Locator loc)

      A line overflows.
      Parameters:
        `source` - the event source
        `elementName` - the formatting object
        `line` - the number number
        `overflowLength` - the length by which the content overflows the available space (in mpt)
        `loc` - the location of the error or null
      Event severity level:
        WARN

    - #### inlineContainerAutoIPDNotSupported

          void inlineContainerAutoIPDNotSupported(java.lang.Object source,
                                                float fallback)

      Auto IPD on inline-container is not supported.
      Parameters:
        `source` - the event source
        `fallback` - the value in points that will be used as a fallback
      Event severity level:
        WARN

Copyright 1999-2019 The Apache Software Foundation. All Rights Reserved.